GPG keys issue

Questions about applications and software
Forum rules
Before you post please read this

GPG keys issue

Postby mbnoimi on Wed Dec 22, 2010 7:54 am

Hi All,

When I tried to upgrade (update) current packages list in my synaptic I got error messages about unresolved gpg keys as following:

Code: Select all
W: GPG error: http://qt-kde.debian.net experimental-snapshots Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 93DD2AE2E79C8BAB
W: GPG error: http://linux-mint.froonix.org julia Release: The following signatures were invalid: BADSIG 3EE67F3D0FF405B2 Clement Lefebvre (Linux Mint Package Repository v1) <root@linuxmint.com>
W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://archive.getdeb.net maverick-getdeb Release: The following signatures were invalid: BADSIG A8A515F046D7E7CF GetDeb Archive Automatic Signing Key <archive@getdeb.net>

W: GPG error: http://archive.canonical.com maverick Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
W: Failed to fetch http://progprak.scale.uni-koeln.de/lazarus/dists/lazarus-testing/universe/source/Sources.gz  404  Not Found

W: Failed to fetch http://progprak.scale.uni-koeln.de/lazarus/dists/lazarus-testing/universe/binary-amd64/Packages.gz  404  Not Found

W: Failed to fetch http://archive.getdeb.net/ubuntu/dists/maverick-getdeb/Release 

W: Some index files failed to download, they have been ignored, or old ones used instead.


How I can get all missed keys for completing update process?
Last edited by mbnoimi on Sun Dec 26, 2010 12:58 am, edited 1 time in total.
User avatar
mbnoimi
Level 3
Level 3
 
Posts: 109
Joined: Sat Dec 04, 2010 7:45 pm
Location: Aleppo, Syria

Linux Mint is funded by ads and donations.
 

Re: GPG keys issue

Postby vincent on Thu Dec 23, 2010 8:00 pm

Open up a terminal and paste the following commands (and paste the output here):
Code: Select all
cat /etc/apt/sources.list
ls /etc/apt/sources.list.d/
Debian Testing x64/LM9 Main x64/Windows 7 x64 - LG R580 laptop w/ Intel Core 2 Duo T6500 2.1 GHz, 4 GB DDR2 RAM, Nvidia Geforce G 105M, Ralink rt2860 802.11n, 300 GB WD HD 5400 rpm
vincent
Level 8
Level 8
 
Posts: 2220
Joined: Tue Feb 09, 2010 4:10 am

Re: GPG keys issue

Postby mbnoimi on Sun Dec 26, 2010 1:05 am

vincent wrote:Open up a terminal and paste the following commands (and paste the output here):
Code: Select all
cat /etc/apt/sources.list
ls /etc/apt/sources.list.d/


Code: Select all
mbnoimi@admino-mbnoimi ~ $ cat /etc/apt/sources.list
deb http://packages.linuxmint.com/ julia main upstream import romeo backport
deb http://archive.ubuntu.com/ubuntu/ maverick main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ maverick-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu/ maverick-security main restricted universe multiverse
deb http://archive.canonical.com/ubuntu/ maverick partner
deb http://packages.medibuntu.org/ maverick free non-free
deb http://archive.getdeb.net/ubuntu maverick-getdeb apps
deb http://archive.getdeb.net/ubuntu maverick-getdeb games
deb http://qt-kde.debian.net/debian experimental-snapshots main
deb-src http://qt-kde.debian.net/debian experimental-snapshots main

mbnoimi@admino-mbnoimi ~ $ ls /etc/apt/sources.list.d/                                                                                                                                         
local-repository.list  local-repository.list.save
User avatar
mbnoimi
Level 3
Level 3
 
Posts: 109
Joined: Sat Dec 04, 2010 7:45 pm
Location: Aleppo, Syria

Re: GPG keys issue

Postby vincent on Sun Dec 26, 2010 4:01 am

Something's fishy here...hmmm...

Let's try to install some of those keys, then.

For your Qt-KDE repo:
Code: Select all
sudo apt-get install --reinstall pkg-kde-archive-keyring


For Linux Mint's repo:
Code: Select all
sudo apt-get install --reinstall linuxmint-keyring


For GetDeb:
Code: Select all
wget -q -O- http://archive.getdeb.net/getdeb-archive.key | sudo apt-key add -


For Ubuntu's archive:
Code: Select all
sudo apt-get install --reinstall ubuntu-keyring


And then try running an apt-get update again.

If the above fails, I'd like to see the output of this command:
Code: Select all
ls /var/lib/apt/lists
Debian Testing x64/LM9 Main x64/Windows 7 x64 - LG R580 laptop w/ Intel Core 2 Duo T6500 2.1 GHz, 4 GB DDR2 RAM, Nvidia Geforce G 105M, Ralink rt2860 802.11n, 300 GB WD HD 5400 rpm
vincent
Level 8
Level 8
 
Posts: 2220
Joined: Tue Feb 09, 2010 4:10 am

Re: GPG keys issue

Postby Bobrm2 on Sat Aug 25, 2012 9:13 pm

I know that this is years later, however I don't see solved and as instructed I post the following output: If I need to I'll begin a new subject. Thanks to you in advance. Having problems with sudo apt-get update:

ttp://archive.getdeb.net precise-getdeb/apps Translation-en_US
Ign http://archive.getdeb.net precise-getdeb/apps Translation-en
Ign http://archive.getdeb.net precise-getdeb/games Translation-en_US
Ign http://archive.getdeb.net precise-getdeb/games Translation-en
Fetched 88.2 kB in 28s (3,048 B/s)
Reading package lists... Done
W: GPG error: http://archive.ubuntu.com precise Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
bob1@bob1-IC780M-A ~ $

bob1@bob1-IC780M-A ~ $ ls /var/lib/apt/lists
archive.canonical.com_ubuntu_dists_precise_partner_binary-i386_Packages
archive.canonical.com_ubuntu_dists_precise_Release
archive.canonical.com_ubuntu_dists_precise_Release.gpg
archive.getdeb.net_ubuntu_dists_precise-getdeb_apps_binary-i386_Packages
archive.getdeb.net_ubuntu_dists_precise-getdeb_games_binary-i386_Packages
archive.getdeb.net_ubuntu_dists_precise-getdeb_Release
archive.getdeb.net_ubuntu_dists_precise-getdeb_Release.gpg
archive.ubuntu.com_ubuntu_dists_precise_main_binary-i386_Packages
archive.ubuntu.com_ubuntu_dists_precise_main_i18n_Index
archive.ubuntu.com_ubuntu_dists_precise_main_i18n_Translation-en
archive.ubuntu.com_ubuntu_dists_precise_multiverse_binary-i386_Packages
archive.ubuntu.com_ubuntu_dists_precise_multiverse_i18n_Index
archive.ubuntu.com_ubuntu_dists_precise_multiverse_i18n_Translation-en
archive.ubuntu.com_ubuntu_dists_precise_Release
archive.ubuntu.com_ubuntu_dists_precise_restricted_binary-i386_Packages
archive.ubuntu.com_ubuntu_dists_precise_restricted_i18n_Index
archive.ubuntu.com_ubuntu_dists_precise_restricted_i18n_Translation-en
archive.ubuntu.com_ubuntu_dists_precise_universe_binary-i386_Packages
archive.ubuntu.com_ubuntu_dists_precise_universe_i18n_Index
archive.ubuntu.com_ubuntu_dists_precise_universe_i18n_Translation-en
archive.ubuntu.com_ubuntu_dists_precise-updates_main_binary-i386_Packages
archive.ubuntu.com_ubuntu_dists_precise-updates_main_i18n_Index
archive.ubuntu.com_ubuntu_dists_precise-updates_main_i18n_Translation-en
archive.ubuntu.com_ubuntu_dists_precise-updates_multiverse_binary-i386_Packages
archive.ubuntu.com_ubuntu_dists_precise-updates_multiverse_i18n_Index
archive.ubuntu.com_ubuntu_dists_precise-updates_multiverse_i18n_Translation-en
archive.ubuntu.com_ubuntu_dists_precise-updates_Release
archive.ubuntu.com_ubuntu_dists_precise-updates_Release.gpg
archive.ubuntu.com_ubuntu_dists_precise-updates_restricted_binary-i386_Packages
archive.ubuntu.com_ubuntu_dists_precise-updates_restricted_i18n_Index
archive.ubuntu.com_ubuntu_dists_precise-updates_restricted_i18n_Translation-en
archive.ubuntu.com_ubuntu_dists_precise-updates_universe_binary-i386_Packages
archive.ubuntu.com_ubuntu_dists_precise-updates_universe_i18n_Index
archive.ubuntu.com_ubuntu_dists_precise-updates_universe_i18n_Translation-en
lock
packages.linuxmint.com_dists_maya_backport_binary-i386_Packages
packages.linuxmint.com_dists_maya_import_binary-i386_Packages
packages.linuxmint.com_dists_maya_main_binary-i386_Packages
packages.linuxmint.com_dists_maya_Release
packages.linuxmint.com_dists_maya_Release.gpg
packages.linuxmint.com_dists_maya_upstream_binary-i386_Packages
packages.medibuntu.org_dists_precise_free_binary-i386_Packages
packages.medibuntu.org_dists_precise_InRelease
packages.medibuntu.org_dists_precise_non-free_binary-i386_Packages
partial
security.ubuntu.com_ubuntu_dists_precise-security_main_binary-i386_Packages
security.ubuntu.com_ubuntu_dists_precise-security_main_i18n_Index
security.ubuntu.com_ubuntu_dists_precise-security_main_i18n_Translation-en
security.ubuntu.com_ubuntu_dists_precise-security_multiverse_binary-i386_Packages
security.ubuntu.com_ubuntu_dists_precise-security_multiverse_i18n_Index
security.ubuntu.com_ubuntu_dists_precise-security_multiverse_i18n_Translation-en
security.ubuntu.com_ubuntu_dists_precise-security_Release
security.ubuntu.com_ubuntu_dists_precise-security_Release.gpg
security.ubuntu.com_ubuntu_dists_precise-security_restricted_binary-i386_Packages
security.ubuntu.com_ubuntu_dists_precise-security_restricted_i18n_Index
security.ubuntu.com_ubuntu_dists_precise-security_restricted_i18n_Translation-en
security.ubuntu.com_ubuntu_dists_precise-security_universe_binary-i386_Packages
security.ubuntu.com_ubuntu_dists_precise-security_universe_i18n_Index
security.ubuntu.com_ubuntu_dists_precise-security_universe_i18n_Translation-en
bob1@bob1-IC780M-A ~ $


Having problems with sudo apt-get update:

ttp://archive.getdeb.net precise-getdeb/apps Translation-en_US
Ign http://archive.getdeb.net precise-getdeb/apps Translation-en
Ign http://archive.getdeb.net precise-getdeb/games Translation-en_US
Ign http://archive.getdeb.net precise-getdeb/games Translation-en
Fetched 88.2 kB in 28s (3,048 B/s)
Reading package lists... Done
W: GPG error: http://archive.ubuntu.com precise Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
bob1@bob1-IC780M-A ~ $
Bobrm2
Level 1
Level 1
 
Posts: 25
Joined: Thu Aug 02, 2012 9:27 pm


Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 20 guests